<%for(var i = 0; i < answers.length; ++i) {%>  
    
    <div class="d-flex justify-content-between border-bottom mt-2">
        <div>
            <div class="badge badge-secondary" style="width:35px;">
                <h4><%="abcdefghijklmnopqr"[answers[i].ordinal-1]%></h4>
            </div>
            <label class="form-check-label">
                <input class="form-check-input"
                    data-size="sm"
                    form="frmMain"
                    type="checkbox"
                    name="corrAnswerCheckboxes<%=i%>" 
                    id="corrAnswerCheckboxes<%=i%>"
                    data-toggle="toggle"
                    data-on="<i class='fas fa-2x fa-check'></i>" data-off="<i class='fas fa-2x fa-times'></i>"
                    value="<%=i%>" <%=((answers[i].is_correct) ? "checked" : "" )%> >
            </label>
        </div>
        
        <div class="ml-2 mr-2" style="flex:1;">
            <textarea id="answer<%=i%>" name="answer<%=i%>" data-a2-type="mdtext" style="min-height: 100px;"><%-answers[i].answer_text%></textarea>
        </div>
        
        <div>
            <input type="number" min="0" max="100" step="1" class="form-control" id="penalty_percentage<%=i%>" name="penalty_percentage<%=i%>"
                value="<%-answers[i].penalty_percentage%>" title="Penalty percentage">
            <!-- <input type="text" class="form-control" id="threshold_weight<%=i%>" name="threshold_weight<%=i%>" value="<%-answers[i].threshold_weight%>"> -->
        </div>
    </div>  <!-- end for answers -->
    <% if (locals.question_hints) { %>
        <div class="d-flex justify-content-between border-bottom mt-2">
            <div class="ml-5">Hint:</div>
            <label class="form-check-label ml-1">Show 
                <input type="checkbox" name="question_hints[<%- i %>][is_active]" value="true"<% if (locals.question_hints && i >= question_hints.length || !(locals.question_hints && !question_hints[i].is_active)) { %> checked<% } %> />
            </label>                
            <% if (locals.question_hints && i < question_hints.length) { %>
                <input type="hidden" name="question_hints[<%- i %>][id]" value="<%- question_hints[i].id %>" />
            <% } %>
            <input type="hidden" name="question_hints[<%- i %>][id_question_answer]" value="<%- answers[i].id %>" />
            <div class="ml-2 mr-2" style="flex:1;">
                <textarea name="question_hints[<%- i %>][hint_text]" data-a2-type="mdtext" style="min-width:100px"><% if (locals.question_hints && i < question_hints.length) { %><%- question_hints[i].hint_text %><% } %></textarea>
            </div>
        </div>  <!-- end for answers -->
    <% } %>
<%}%>